FreeMat

- Main Page
- Related Pages

vtkTimeSourceExample

Section: Visualization Toolkit Graphics Classes

# Usage

Creates a small easily understood time varying data set for testing. The output is a vtkUntructuredGrid in which the point and cell values vary over time in a sin wave. The analytic ivar controls whether the output corresponds to a step function over time or is continuous. The X and Y Amplitude ivars make the output move in the X and Y directions over time. The Growing ivar makes the number of cells in the output grow and then shrink over time.

To create an instance of class vtkTimeSourceExample, simply invoke its constructor as follows

      obj = vtkTimeSourceExample

# Methods

The class vtkTimeSourceExample has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTimeSourceExample class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTimeSourceExample = obj.NewInstance ()`
- `vtkTimeSourceExample = obj.SafeDownCast (vtkObject o)`
- `obj.SetAnalytic (int )`
- `int = obj.GetAnalyticMinValue ()`
- `int = obj.GetAnalyticMaxValue ()`
- `int = obj.GetAnalytic ()`
- `obj.AnalyticOn ()`
- `obj.AnalyticOff ()`
- `obj.SetXAmplitude (double )`
- `double = obj.GetXAmplitude ()`
- `obj.SetYAmplitude (double )`
- `double = obj.GetYAmplitude ()`
- `obj.SetGrowing (int )`
- `int = obj.GetGrowingMinValue ()`
- `int = obj.GetGrowingMaxValue ()`
- `int = obj.GetGrowing ()`
- `obj.GrowingOn ()`
- `obj.GrowingOff ()`